Subject: [Geopriv] I-D Action:draft-ietf-geopriv-lis-discovery-13.txt

From: [email-masked]
Date: Tue, 8 Dec 2009 17:30:02 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Geographic Location/Privacy Working Group of the IETF.

	Title           : Discovering the Local Location Information Server (LIS)
	Author(s)       : M. Thomson, J. Winterbottom
	Filename        : draft-ietf-geopriv-lis-discovery-13.txt
	Pages           : 17
	Date            : 2009-12-08

Discovery of the correct Location Information Server (LIS) in the
local access network is necessary for devices that wish to acquire
location information from the network.  A method is described for the
discovery of a LIS in the access network serving a device.  Dynamic
Host Configuration Protocol (DHCP) options for IP versions 4 and 6
are defined that specify a domain name.  This domain name is then
used as input to a URI-enabled NAPTR (U-NAPTR) resolution process.

Status of This Memo

This Internet-Draft is submitted to IETF in full conformance with the
provisions of BCP 78 and BCP 79.

Internet-Drafts are working documents of the Internet Engineering
Task Force (IETF), its areas, and its working groups.  Note that
other groups may also distribute working documents as Internet-
Drafts.

Internet-Drafts are draft documents valid for a maximum of six months
and may be updated, replaced, or obsoleted by other documents at any
time.  It is inappropriate to use Internet-Drafts as reference
material or to cite them other than as "work in progress."

The list of current Internet-Drafts can be accessed at
http://www.ietf.org/ietf/1id-abstracts.txt.

The list of Internet-Draft Shadow Directories can be accessed at
http://www.ietf.org/shadow.html.

This Internet-Draft will expire on June 11, 2010.

Copyright Notice

Copyright (c) 2009 IETF Trust and the persons identified as the
document authors.  All rights reserved.

This document is subject to BCP 78 and the IETF Trust's Legal
Provisions Relating to IETF Documents
(http://trustee.ietf.org/license-info) in effect on the date of
publication of this document.  Please review these documents
carefully, as they describe your rights and restrictions with respect
to this document.  Code Components extracted from this document must
include Simplified BSD License text as described in Section 4.e of
the Trust Legal Provisions and are provided without warranty as
described in the BSD License.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-geopriv-lis-discovery-13.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Thomson, Martin" <[email-masked]>
Date: Wed, 9 Dec 2009 10:21:37 +0800

In addition to the minor changes suggested on the list, this latest version addresses comments that came up in the AD review.

The document is now less negative towards use of DHCPv4 option 15.  Section 4.1 has been moved to Section 3.4 and Section 3 has been renamed accordingly.  There is also a flow chart that should make it easy for implementers to understand how all the pieces fit together.

The diff shows the changes:

  <http://tools.ietf.org/rfcdiff?url2=draft-ietf-geopriv-lis-discovery-13.txt>

--Martin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Wednesday, 9 December 2009 12:30 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Geopriv] I-D Action:draft-ietf-geopriv-lis-discovery-13.txt
>

---

From: Alissa Cooper <[email-masked]>
Date: Sun, 13 Dec 2009 08:43:22 -0500

Hi Martin,

In the new parts about DHCPv4 option 15, can you explain why you don't  
use 2119 language? In both section 2 and section 3.4 you say that  
DHCPv4 option 15 "is used" (as opposed to, e.g., "SHOULD be used"), so  
it sounds like you're stating a fact rather than giving a direction to  
implementers.

Thanks,
Alissa

On Dec 8, 2009, at 9:21 PM, Thomson, Martin wrote:

> In addition to the minor changes suggested on the list, this latest  
> version addresses comments that came up in the AD review.
>
> The document is now less negative towards use of DHCPv4 option 15.   
> Section 4.1 has been moved to Section 3.4 and Section 3 has been  
> renamed accordingly.  There is also a flow chart that should make it  
> easy for implementers to understand how all the pieces fit together.
>
>  <http://tools.ietf.org/rfcdiff?url2=draft-ietf-geopriv-lis-discovery-13.txt 
> >
>
> --Martin
>
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/geopriv
>

---

From: "Thomson, Martin" <[email-masked]>
Date: Mon, 14 Dec 2009 07:10:44 +0800

Personal prejudice against overuse of 2119 language, mostly.

I try not to use 2119 language to describe basic behaviour like this.  It's overkill.  It makes documents seem dictatorial.  It's also harder to read.  It also reduces the impact of 2119 language in those places where it is really important.

Imagine if every part of the process describe in this document used MUST, starting with the procedure described in Section 2...

--Martin

> From: Alissa Cooper [mailto:[email-masked]]
> Sent: Monday, 14 December 2009 12:43 AM
> To: Thomson, Martin
> Cc: [email-masked]
> Subject: Re: [Geopriv] I-D Action:draft-ietf-geopriv-lis-discovery-
> 13.txt
> 
> Hi Martin,
> 
> >> http://www.ietf.org/internet-drafts/draft-ietf-geopriv-lis-
> discovery-
> >> 13.txt
> >>

---

From: "Richard L. Barnes" <[email-masked]>
Date: Mon, 14 Dec 2009 09:41:23 -0500

<hat type="individual"/>

At the same time, though, it's very important for network operators to  
know what clients are going to do.  I'm a fan of using RFC 2119  
language effectively as a keyword, so that an implementor can scan  
through looking for the MUSTs to figure out what he has to do.  But  
I'm not hard over on this issue, it's a matter of style.

--Richard

On Dec 13, 2009, at 6:10 PM, Thomson, Martin wrote:

> I try not to use 2119 language to describe basic behaviour like  
> this.  It's overkill.  It makes documents seem dictatorial.  It's  
> also harder to read.  It also reduces the impact of 2119 language in  
> those places where it is really important.
>
> Imagine if every part of the process describe in this document used  
> MUST, starting with the procedure described in Section 2...
>
> --Martin
>
>>>> This draft is a work item of the Geographic Location/Privacy  
>>>> Working
>>>> Group of the IETF.
>>>>
>>>>

---

From: "Thomson, Martin" <[email-masked]>
Date: Wed, 16 Dec 2009 08:16:43 +0800

Scanning for MUSTs is a great way of implementing a standard.  Personally, I prefer to scan for examples.  Failing that, I look for pictures.  Sequence diagrams and flow charts are pretty good.

;)

> From: Richard L. Barnes [mailto:[email-masked]]
> Sent: Tuesday, 15 December 2009 1:41 AM
> To: Thomson, Martin
> Cc: Alissa Cooper; [email-masked]